#! /bin/bash
#
# Copyright (c) 2004, Jochen Maes <sejo@gentoo.org>
# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
# Copyright (c) 2004, Gentoo Foundation
#
# Licensed under the GNU General Public License, v2

azudir=/usr/lib/azureus
dotazudir=${HOME}/.Azureus
gentoocfg=${dotazudir}/gentoo.config

if [ -f ${gentoocfg} ] ; then
	. ${gentoocfg}
else
	if [ ! -e ${dotazudir} ] ; then
		mkdir ${dotazudir}
		echo "Creating ${dotazudir}" 
	fi

	# Setup defaults
	UI_OPTIONS="--ui=swt"

	# Create the config file
	cat > ${gentoocfg} <<END
# User Interface options:
# web     - web based
# web2    - web based
# console - console based
# swt     - swt (GUI) based
#
# When selecting just 1, use '--ui=<ui>'
# When selecting multiple, use '--uis=<ui>,<ui>'
UI_OPTIONS="--ui=swt"
END

fi

cd ${dotazudir}

CLASSPATH=$(java-config -p junit,log4j,commons-cli-1,systray4j,swt-3):${azudir}/azureus.jar:${azudir}/seda.jar
java -cp $CLASSPATH -Djava.library.path=/usr/lib org.gudy.azureus2.ui.swt.Main "$1"
