# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Gentoo Linux Installer"
HOMEPAGE="http://www.gentoo.org/proj/en/releng/installer/"
SRC_URI="http://dev.gentoo.org/~agaffney/gli/snapshots/installer-${PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 amd64"
IUSE="gtk"

RDEPEND=">=dev-python/pyparted-1.6.6
	gtk? ( >=dev-python/pygtk-2.4.0 )
	=dev-python/pythondialog-2.7*
	sys-fs/e2fsprogs
	sys-fs/ntfsprogs
	sys-fs/reiserfsprogs
	sys-fs/dosfstools"

S=${WORKDIR}/installer/src

dir=/opt/installer
Ddir=${D}/${dir}

src_install() {
	dodir ${dir}
	exeinto ${dir}/bin
	use !gtk && rm -rf ${S}/fe/gtk
	cp -a ${S}/* ${Ddir}
	doexe ${FILESDIR}/installer-dialog || die "copying curses script"
	chown -R root:root ${Ddir}
	dodir /usr/sbin
	if use gtk; then
		doexe ${FILESDIR}/installer-gtk || die "copying gtk script"
		dosym ${dir}/bin/installer-gtk ${ROOT}/usr/sbin \
			|| die "making gtk symlink"
		make_desktop_entry "/usr/sbin/installer-gtk" "Gentoo Linux Installer" ${dir}
	fi
	dosym ${dir}/bin/installer-dialog ${ROOT}/usr/sbin \
		|| die "making curses symlink"
	dosym ${dir}/bin/installer ${ROOT}/usr/bin \
		|| die "making installer symlink"
}
